aboutsummaryrefslogtreecommitdiff
path: root/fake-client.sh
diff options
context:
space:
mode:
Diffstat (limited to 'fake-client.sh')
-rw-r--r--fake-client.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/fake-client.sh b/fake-client.sh
new file mode 100644
index 0000000..3c3ca7c
--- /dev/null
+++ b/fake-client.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# SPDX-License-Identifier: CC0-1.0
+
+# Copyright (C) 2022 Wojtek Kosior <koszko@koszko.org>
+#
+# Available under the terms of Creative Commons Zero v1.0 Universal.
+
+set -e
+
+unshare --map-root-user --mount \
+ fake-client-setup-mounts.sh "${SHELL:-/bin/sh}" "$(id -u)"